<template>
    <Container :max-height="1" class="column">
        <div>
            <q-item>
                <q-item-section avatar>
                    <q-avatar v-if="worker != null" size="64px">
                        <img :src="worker.principal.image" :alt="Avatar" style="width: 64px; height: 64px;" class="bg-base">
                    </q-avatar>
                    <q-skeleton v-else type="QAvatar"/>
                </q-item-section>
                <q-item-section>
                    <q-item-label v-if="worker != null" class="text-h5"> {{ worker.principal.name }}</q-item-label>
                    <q-skeleton v-else type="text"/>
                    <q-item-label v-if="worker != null" caption>
                        <router-link :to="`/subcontractor/${worker.subContractor.id}`">{{
                                worker.subContractor.name
                                                                                       }}
                        </router-link>
                    </q-item-label>
                    <q-skeleton v-else type="text"/>
                    <q-item-label v-if="worker != null" caption>
                        {{ worker.principal.id }}
                    </q-item-label>
                    <q-skeleton v-else type="text"/>
                </q-item-section>
            </q-item>
            <q-item v-if="worker.principal.trade.length > 0">
                <div class="wrap row">
                    <q-chip v-for="t in worker.principal.trade" :key="t">
                        <q-avatar color="red" text-color="white"> {{ t.Take() }}</q-avatar>
                        {{ t }}
                    </q-chip>
                </div>
            </q-item>
        </div>
        <q-scroll-area class="col" v-if="worker != null">
            <MetaData :meta="worker.principal.data" class="full-width"/>
        </q-scroll-area>
        <q-skeleton class="col" v-else/>
        <q-separator/>
        <div>
            <q-card-actions align="around">
                <q-btn icon="edit" label="edit" color="primary" flat v-if="worker != null"
                       :to="`/worker/edit/${worker.principal.id}`"

                />
                <q-skeleton v-else type="QBtn"/>
                <q-btn outline icon="delete" label="delete" color="negative" v-if="worker != null"
                       @click="$emit('delete')"
                />
                <q-skeleton v-else type="QBtn"/>
            </q-card-actions>
        </div>
    </Container>
</template>
<style lang='scss' scoped>

</style>
<script lang='ts'>
import {Component, Prop, Vue} from 'vue-property-decorator';
import Container from "components/Core/Container.vue";
import {GenerateAvatar} from "src/classLibrary/AvatarGenerator";
import MetaData from "components/Entities/MetaData.vue";
import {WorkerResponse} from "src/classLibrary/APIModels/core/workerResponse";

@Component({
    components: {MetaData, Container}
})
export default class SubContractorMobile extends Vue {
    @Prop() worker!: WorkerResponse | null;

    get Avatar() {
        return GenerateAvatar(this.worker?.principal.name ?? "A")
    }
}
</script>


